Cancel a Payment Intent
curl --request POST \
--url https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/cancelconst options = {method: 'POST'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Payments
Cancel a Payment Intent
POST
/
payment_intents
/
{id}
/
cancel
Cancel a Payment Intent
curl --request POST \
--url https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/cancelconst options = {method: 'POST'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'POST'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Cancels a
pending intent. Re-canceling a canceled intent returns the
same intent without side effects. Paid or refunded intents cannot be
canceled.
Auth: OAuth access token.
Example
curl -X POST https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{uuid}/cancel \
-H "Authorization: Bearer $ACCESS_TOKEN"
Response
{
"id": "{uuid}",
"object": "payment_intent",
"status": "canceled",
"canceled_at": "2026-05-11T20:02:00Z",
"amount": { "value": "1000000000000000000", "currency": "FLY" }
}
Errors
| Code | Meaning |
|---|---|
400 paymentIntent0003 | Intent is not in a cancelable state. |
| 401 | Missing or invalid OAuth bearer. Empty body. |